<?php
session_start();
include ('private/mysql.php');
include ('tmp/head.php');



switch($sd){
default:

echo "Хозяин таверны<br><font size=2 color=#FF6633>Приветствую тебя, <b>$log</b>!<br>
Решил заглянуть погреться да выпить кружечку потрясающего эля?<br>
Присаживайся! Кстати, <b>Вербовщик Элэн</b> ждёт тебя, у него для тебя есть работа!</font><br><br>";

echo "<ul class='list_page'><div class='linem'></div><li> <a href='tavern.php?sd=uphp'>Выпить кружку эля (<img src='img/silver.png'> 200 серебра)</a></li></ul><div class='linem2'></div><br>";

echo "Вербовщик Элэн<br><font size=2 color=#FF6633>А ну, боец! У меня для тебя есть работа, так что выбирай с чего начнём!</font><br><br>";

$q = mysql_query("SELECT * FROM `quest` WHERE '$user[level]'>=`min_level` and '$user[level]'<=`max_level` and `time`='suj' ORDER BY `exp` ASC");
$e = mysql_num_rows($q);
if($e=='0'){
    echo "Для вас пока нет заданий.<br>Приходите завтра.";
}else{
echo "<ul class='list_page'><div class='linem'></div>";

While($w = mysql_fetch_assoc($q)){
    
    $mq = mysql_query("SELECT * FROM `us_quest` WHERE `user`='$uid' and `id_quest`='$w[id]'");
    $me = mysql_num_rows($mq);
    $mw = mysql_fetch_assoc($mq);
    if($me>='1'){
            if($mw['time']=='' and $mw['kill']<$mw['need']){
                echo "<li><a href='tavern.php?sd=view&id=$w[id]'>$w[name]</a>";
                $progr = ($mw['kill']/$w['need'])*100;
                echo '<div style="background:#666666;height:0px;width:100%;padding:0;margin:1px 0;">
                <div style="background:orange; height:2px; width:'.$progr.'%;"></div></div></li>';
            }else{
                 echo "<li><a style='color:grey' href='tavern.php?sd=view&id=$w[id]'>$w[name] (Выполнено)</a></li>";
            }
    }else{

        echo "<li><a href='tavern.php?sd=view&id=$w[id]'>$w[name]</a></li>";
    
    }
    
}

echo "</ul><div class='linem2'></div>";
}

echo "<br><br><ul class='list_page'><div class='linem'></div><li><a href='?sd=orden'>Управляющий</a></li></ul><div class='linem2'></div>";

break;


case 'createorden':
if($user['orden']!==''){
    header('Location: tavern.php');
    exit;
}

if($user['almaz']<'400'){
    header('Location: tavern.php');
    exit;
}

if($user['level']<'20'){
    header('Location: tavern.php');
    exit;
}

if(empty($_POST['submit'])){
    
    echo "<form action='tavern.php?sd=createorden' method='post'>
    Название Ордена:<br>
    <input type='text' name='name' class='enter'><br>
    <input type='submit' name='submit' value='Создать' class='enter'></form>";
    
}else{
    
    $name = mysql_real_escape_string(htmlspecialchars(strip_tags($_POST['name'])));
    
    $q = mysql_num_rows(mysql_query("SELECT * FROM `orden` WHERE `name`='$name'"));
    if($q>='1'){
        echo "Орден с таким названием уже существует<br>← <a href='tavern.php?sd=createorden'>назад</a>";
        include ('tmp/foot.php');
        exit;
    }
    
    mysql_query("INSERT INTO `orden` SET `name`='$name',`storona`='$user[storona]',`lider`='$uid'");
    
    mysql_query("UPDATE `users` SET `almaz`=`almaz`-'400',`orden`='$uid',`orden_title`='1' WHERE `id`='$uid'");
    
    header('Location: tavern.php?sd=orden');
    exit;
    
}


break;



case 'orden';

echo "Чтобы создать орден нужно достигнуть 20-го уровня и заплатить <font color=orange>Управляющему</font> 400 <img src='img/almaz.png'> <font color=violet>алмазов</font><br><br>";

if($user['orden']==''){
    echo "<center><a class='mybutt_no' href='?sd=createorden'>Создать Орден</a></center>";
}else{
    echo "<center><a class='mybutt_no' href='orden.php'>Мой орден</a></center>";
}
break;



case 'start':
$q = mysql_query("SELECT * FROM `quest` WHERE `id`='$id'");
$e = mysql_num_rows($q);
if($e=='0'){
    header('Location: tavern.php');
    exit;
}
$w = mysql_fetch_assoc($q);

$mq = mysql_query("SELECT * FROM `us_quest` WHERE `user`='$uid' and `id_quest`='$id'");
$me = mysql_num_rows($mq);
$mw = mysql_fetch_assoc($mq);

if($user['level']<$w['min_level'] or $user['level']>$w['max_level']){
    header('Location: tavern.php');
    exit;
}

$tday=date("j");
    
if($me>='1'){
    header('Location: tavern.php');
    exit;
}

mysql_query("INSERT INTO `us_quest` SET `user`='$uid',`id_quest`='$id',`tip`='$w[time]',`mob`='$w[mob]',`need`='$w[need]'");

header("Location: tavern.php?sd=view&id=$id");
exit;

break;

case 'view':
$q = mysql_query("SELECT * FROM `quest` WHERE `id`='$id'");
$e = mysql_num_rows($q);
if($e=='0'){
    header('Location: tavern.php');
    exit;
}
$w = mysql_fetch_assoc($q);

$mq = mysql_query("SELECT * FROM `us_quest` WHERE `user`='$uid' and `id_quest`='$id'");
$me = mysql_num_rows($mq);
$mw = mysql_fetch_assoc($mq);

if($user['level']<$w['min_level'] or $user['level']>$w['max_level']){
    header('Location: tavern.php');
    exit;
}

echo "<b>$w[name]</b><br><font size=2 color=#FF6633>$w[text]</font><br><br>";

$mn = mysql_fetch_assoc(mysql_query("SELECT * FROM `mobs` WHERE `lat`='$w[mob]'"));

echo "Цель: <a style='color:red' href='info.php?sd=mob&id=$mn[id]'>$mn[name]</a><br>
<img src='img/exp.png'> $w[exp] опыта<br><img src='img/silver.png'> $w[silver] серебра<br><br>";


if($me=='0'){
    
    echo "Прогресс: 0 из $w[need]<br><br>
    <ul class='list_page'><div class='linem'></div><li><a href='tavern.php?sd=start&id=$w[id]'>Начать квест</a></li></ul><div class='linem2'></div>";
    
}else{
    $tday=date("j");
	
	if($mw['tip']=='suj' and $mw['time']!==''){
		echo "Ты уже выполнял это задание.";
        echo "<hr>← <a href='tavern.php'>Назад</a>";
        include ('tmp/foot.php');
        exit;
    }
    
    if($mw['time']==$tday){
        
        echo "Ты сегодня уже выполнял это задание.";
        echo "<hr>← <a href='tavern.php'>Назад</a>";
        include ('tmp/foot.php');
        exit;
    }
    
    echo "Прогресс: $mw[kill] из $w[need]<br>";
    
    if($mw['kill']>=$w['need']){
        mysql_query("UPDATE `users` SET `exp`=`exp`+'$w[exp]',`silver`=`silver`+'$w[silver]' WHERE `id`='$uid'");
        
        $timer = date("j");
            
        mysql_query("UPDATE `us_quest` SET `time`='$timer' WHERE `user`='$uid' and `id_quest`='$id'");
        
        echo "<br><font color=lightgreen>Вы успешно выполнили задание!!!</font><br>
        Вы получили: <img src='img/exp.png'> $w[exp] опыта и <img src='img/silver.png'> $w[silver] серебра";
        
    }
    
}

echo "<hr>← <a href='tavern.php'>Назад</a>";

break;



///////////////////////////////////////////////////////////////////////
case 'uphp':

$q = mysql_query("SELECT * FROM `mobs` WHERE `user`='$uid'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e >= '1'){
    header('Location: tavern.php');
    exit;
}

if($user['silver']<'200'){
    header('Location: tavern.php');
    exit;
}
    
mysql_query("UPDATE `users` SET `hp`=`hpall`,`silver`=`silver`-'200' WHERE `id`='$uid'");
    
header('Location: tavern.php');
exit;

break;

}
include ('tmp/foot.php');
?>